Retrieve Country
curl --request GET \
--url https://api.byteful.com/1.0/public/user/country/retrieve/{country_id} \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>'import requests
url = "https://api.byteful.com/1.0/public/user/country/retrieve/{country_id}"
headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};
fetch('https://api.byteful.com/1.0/public/user/country/retrieve/{country_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"continent_id": "eu",
"country_alias": "fr",
"country_id": "fr",
"country_is_european_union": true,
"country_name": "France",
"country_node_count": 1234
},
"message": "Country successfully retrieved."
}Country
Retrieve Country
Retrieves a specific Country.
GET
/
public
/
user
/
country
/
retrieve
/
{country_id}
Retrieve Country
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Path Parameters
ID of the Country to retrieve
⌘I

